Bug 1129781 - 500 internal error when adding watchdog to VM via CLI/REST
Summary: 500 internal error when adding watchdog to VM via CLI/REST
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-api
Version: 3.5
Hardware: All
OS: All
medium
urgent
Target Milestone: ---
: 3.5.0
Assignee: Juan Hernández
QA Contact: Lukas Svaty
URL:
Whiteboard: sla
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-13 15:53 UTC by Lukas Svaty
Modified: 2016-02-10 19:41 UTC (History)
7 users (show)

Fixed In Version: ovirt-3.5.0_rc2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-17 12:33:35 UTC
oVirt Team: SLA


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 31663 master MERGED restapi: NPE when mapping watchdog without id Never
oVirt gerrit 31759 ovirt-engine-3.5 MERGED restapi: NPE when mapping watchdog without id Never

Description Lukas Svaty 2014-08-13 15:53:45 UTC
Description of problem:
Adding watchdog with model and action fails on 500 internal error via ovirt-shell or REST

Version-Release number of selected component (if applicable):
ovirt-rc1

How reproducible:
100%

Steps to Reproduce:
1. curl -X POST -H "Accept: application/xml" -H "Content-Type: application/xml" -u admin@internal:$pwd --cacert ca.crt -d "<watchdog><model>i6300esb</model><action>reset</action></watchdog>" https://$url:443/api/vms/$vmid/watchdogs
<?xml version="1.0" encoding="UTF-8" standalone="yes"?><fault><reason>Operation Failed</reason></fault>[~] $ ^C

2. ovirt-shell ~ add watchdog --vm-identifier dd35488d-f247-461f-b45c-f6b7b004e270 --action reset --model i6300esb

  ==================================== ERROR =================================
  status: 500
  reason: Internal Server Error
  detail:
  ============================================================================


Actual results:


Expected results:


Additional info:

Comment 1 Lukas Svaty 2014-09-16 09:57:54 UTC
verified in vt3.1

Comment 2 Sandro Bonazzola 2014-10-17 12:33:35 UTC
oVirt 3.5 has been released and should include the fix for this issue.


Note You need to log in before you can comment on or make changes to this bug.